import { AppModel } from '../../../AppModel/AppModel';
import { BaseLeafOperation } from '../../type';
export declare type RemoveTraitLeafOperationContext = {
    componentId: string;
    index: number;
};
export declare class RemoveTraitLeafOperation extends BaseLeafOperation<RemoveTraitLeafOperationContext> {
    private deletedTrait;
    do(prev: AppModel): AppModel;
    redo(prev: AppModel): AppModel;
    undo(prev: AppModel): AppModel;
}
